Yellowdog Updater Modified (yum) is an interactive, rpm based, package manager.

learn more… | top users | synonyms

1
vote
2answers
95 views

Can't find using yum search, but can see it in yum list

I got a problem using yum repository in RHEL 6.3. First, I have created yum repository use rpmforge repository. I can do yum list also. Here the last line of yum list result. zssh.x86_64 ...
0
votes
1answer
247 views

RedHat Glibc - multiple packages

Before I jump into the issue, I am using RedHat 6.5 and have no access to the internet to download yum updates due to environment restrictions. All I have in this case is the CD ROM (RHEL 6.5) to ...
0
votes
2answers
555 views

sudo yum repolist show repo not in /etc/yum.repo.d

I'm having a little issue with yum. I'm trying to install a package but i realised yum it’s pulling it from the wrong repo (let’s call it repoB) (I have added my own repo(let’s call it repoA) in the ...
0
votes
2answers
622 views

trying to install chef-client package via local yum repo

I am trying to make chef-11.16.4-1.el6.x86_64.rpm available to our servers via a local yum repo that we've built. it is not available in RHEL Repos, so i had to manually download and save it in our ...
1
vote
1answer
96 views

Shared libraries for GCC installed via yum on Fedora 20

Unintentionally I erased my system gcc with a manually built one. To get things back, I did yum reinstall gcc and gcc --version attested that the initial version was back: $ which gcc /usr/bin/gcc $ ...
2
votes
3answers
3k views

How do you update the YUM package manager repositories?

I have a new install of Red Hat and I'm trying to do a "yum install tmux" but it is throwing a no package available error: [root@PSCHQVP20017 ~]# yum install tmux Loaded plugins: product-id, refresh-...
0
votes
0answers
132 views

yum update conflict rubygem-passenger-native-libs from passenger repository vs centOS updates

yum update on a puppet dashboard throws up following error. How do we resolve it safely? Error: Package: 1:rubygem-passenger-native-libs-3.0.19- 1.el6_1.8.7.352.x86_64 (passenger-centos6-x86_64) ...
5
votes
2answers
7k views

How to install dependencies of an rpm package without installing the package itself? (rhel/fedora)

I have a set of packages (*.rpm). For each package I can do rpm -qRp <package> to list requires, but I would like to install them (those requires) without installing the packages themselves. ...
1
vote
3answers
2k views

yum update on CentOS 6.6 fails

I have CentOS 6.6 running on VirtualBox w/ NAT. I am behind a proxy and have configured my proxy settings; the virtual machine is talking just fine to the internet. When I attempt to install ...
0
votes
1answer
516 views

CentOS 7 'No matching Packages to list' for man

As part of my test environment I'm running CentOS 6.6 in one VM and CentOS 7 in another. They are both relatively fresh installs, running Puppet. However, when I run yum list man on the CentOS 7 box ...
0
votes
1answer
81 views

How can I get self-compiled packages to play nice with packages managers (e.g. apt-get, yum) [duplicate]

Suppose I want to: compile and install my own custom application which requires downloading, compiling and installing the source for newest version of libthrift which requires downloading, compiling ...
0
votes
1answer
3k views

Listing the packages in a package group on CentOS 7

I'd like to see which packages are in the YUM group Desktop on CentOS 7. I am aware of the yum group info command, but it does not list any packages for the Desktop group. Why not? When I run yum ...
0
votes
1answer
2k views

Getting Minor Version Mismatch Error with Php and Mysql

I randomly started getting this error when trying to instantiate a new mysqli instance in php script: mysqli::mysqli(): Headers and client library minor version mismatch. Headers:50541 Library:...
5
votes
1answer
219 views

How to stop yum changing file permissions

If you upgrade a package, yum sets the file permissions to the permissions that are set in the new version of the package. How can I stop it doing this? I use puppet, and by default the directory ...
1
vote
1answer
135 views

yum:How can I instruct yum to install a specific version for X

I have to implement two yum repos, x and y which contains same packages with different versions. If a user do: yum install x - should install the latest packages of one branch yum install y - ...
2
votes
1answer
81 views

yum install http://www.example.com/package.rpm vs. rpm -ivh http://www.example.com/package.rpm

What's the difference between those commands? Are there any advantages to you yum or rpm for the same task? yum install http://go-cli.s3-website-us-east-1.amazonaws.com/releases/v6.12.2/cf-cli_amd64....
0
votes
0answers
239 views

Yum is asking for nonexistent updateinfo.xml hashes on the repodata directory

Any idea why I need to "yum clean dbcache metadata" frequently? I am using centos6.6 and it has the epel repo. It frequently fails to get the packages from the mirrors with a 404 error until I clean ...
0
votes
0answers
80 views

How can I confirm download status for yum update on RHEL5/CentOS5?

I have an older server/appliance running CentOS 5.x. When I run updates on it, yum shows something like this: The screen stays like that until all packages are downloaded -- no status or progress ...
2
votes
1answer
80 views

Where can I find gtkglextmm for centos 6?

Yet another "where can I find" question. I'm looking for gtkglextmm, the gtk/gl C++ wrapper, for CentOS 6. On my Ubuntu system, I know you can get it with sudo apt-get install libgtkglextmm-x11-1.2-...
3
votes
1answer
58 views

Why don't most common Linux package managers allow package installation for normal users? [duplicate]

I tend to install quite a lot of packages with ./configure --prefix=$HOME && make && make install. Why can't I do this as easily with dpkg or yum? Or if I somehow can, what is the way ...
0
votes
2answers
1k views

PAC Manager dependencies problem under Centos 7.1

I have downloaded PAC Manager from sourceforge.net/projects/pacmanager/files/pac-4.0/pac-4.5.5.5-2.x86_64.rpm/download When I try to do yum install on it, I get dependency errors at the end: Error: ...
1
vote
1answer
316 views

Can yum be configured to import keys for non-Red Hat repositories?

If I build a new RHEL server (whichever version, doesn't matter) and then attempt to install packages from either RHN or Satellite via yum I'm prompted to accept the RHN GPG key. In our case, this ...
6
votes
1answer
2k views

Yum error while installing MongoDB on CentOS?

I am using Centos 6.6 (x86_64) Trying to install most stable mongodb version available. but I am stuck with this error (which might seem repeated but none of the previous answers worked for me) [root@...
0
votes
1answer
1k views

PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/php_mysql.so'

I am running PHP 5.6 on Linux. When I try to load a PHP page, I'm getting the following PHP error. PHP Startup: Unable to load dynamic library /usr/lib64/php/modules/php_mysql.so' When I look ...
1
vote
2answers
2k views

Reinstalling packages with missing/corrupt files

Following an unclean shutdown and a colourful fsck, a whole bunch of files have gone missing. The output of 'rpm -Va' is several hundred lines long (mostly missing files but also some checksum and ...
0
votes
1answer
323 views

Create yum repo with multiple keys

I need to create a yum repository but I have 5 gpgkeys, the idea is to configure the repo and each package install its own gpgkey automatically. In other words, I need to configure multiple gpgkeys ...
0
votes
1answer
187 views

yum.conf and installonlypkgs option

We set up our CentOS 6.x system that we could have a different versions of our software by means of installonlypkgs option in yum.conf. For example <mycoolpackage>-1.0.0-0.el6 and <...
0
votes
1answer
880 views

Kernel version not changing even though the new version is installed

Recently performed software update on a RHEL 6.6 (Santiago). Noticed that kernel version is not updated to latest one that was installed. kernel version before doing software update: [root@server01 ~...
0
votes
0answers
228 views

yum update dependency in CentOS 6.6

After installing a rpm, by running sudo yum update in CentOS 6.6, I am getting the error Error: Package: qgis-python-2.8.1-3.el7.centos.x86_64 (neteler-QGIS-2.8-Wien) Requires: libpython2.7.so....
0
votes
0answers
36 views

How to update my local repo that i am using to serve local machines?

I have created a local repo with 618 packages and made it available for my local servers.So that they dont fetch updates directly from RHEL repo. Here are some info about my local repo: [user1@...
1
vote
1answer
128 views

How to replace generic-release with fedora-release?

Due to some accidental eclecticism in my repository list, the package fedora-release was uninstalled from my machine (a Fedora 21 laptop) and replaced with generic-release. I can't seem to be able to ...
1
vote
1answer
96 views

Install and solve dependencies offline for an old version of a package

I have to install a package (let's call it foobar) on a RHEL 6 server which has some pretty tight constraints: the server cannot access the Internet due to security reasons it lacks quite a lot of ...
0
votes
1answer
48 views

looking for a way to download a list of packages with yum

We are trying to setup a local repo that contains all the base packages. So to get started we need to download around 3500+ packages and save it in a folder that will be used as a Repo storage. We ...
0
votes
2answers
64 views

Where does yum store the temporary packages

When we do a yum install or yum update where does yum stores the downloaded packages in the system.
0
votes
2answers
694 views

Fedora12, yum can't find repositories [duplicate]

For some reasons I have to use old distro Fedora12, and yum in its default configuration is unable to locate URLs for packages. % yum search gcc Loaded plugins: refresh-packagekit Error: Cannot ...
1
vote
1answer
313 views

CentOS 5.11: yum installs, but packages remain missing

I'm trying to figure out a very strange problem with yum on a fairly old CentOS 5.11 VPS using DirectAdmin. Executing the following command suggests the telnet package is installed: # yum install ...
0
votes
1answer
56 views

Why does yum history look different?

Earlier today when I typed sudo yum history I would get a list of operations with a heading like so: ID | Login user | Date and time | Action(s) | Altered -------------------...
3
votes
2answers
971 views

Yum vs DNF (changed in Fedora 22)

As I was exploring about Fedora 22 (I'm currently using fedora 20), I came to learn that Yum has been replaced by DNF. Basically what I want to know is the difference between those two Fedora package ...
0
votes
1answer
152 views

Yumdownloader downloads packages of different architecture also

On a x86_64 machine, if I run the command - yumdownloader <pkg_name> , it downloads both i686 and x86_64 arch packages whereas on a i686 machine, it only downloads the i686 package. How to fix ...
1
vote
2answers
247 views

Creating a local yum repository without rpms

I can install packages from Internet using: yum install packagex This will download all the dependent packages and install them in order. For some of our customers who do not have Internet access, ...
0
votes
0answers
125 views

How to configure yum repo in centos 7

I have Installed CentOS 7 on my VMware. How to configure yum repo? What path do I have to give? ISO file is in my main machine.
1
vote
0answers
245 views

problem installing postgresql (opengeo) on fedora 22

I'm following the directions found at http://suite.opengeo.org/4.1/installation/redhat/install.html i created gedit /etc/yum.repos.d/OpenGeo.repo with the following text: [opengeo] name=opengeo ...
1
vote
1answer
146 views

How to pass options to RPM through YUM CLI?

I would like to pass the --excludepath option to RPM through YUM since YUM doesn't provide an option like that. The --excludepath option tells the rpm command to exclude all files that start with the ...
0
votes
1answer
192 views

Emacs dependency on librsvg2 error on Centos 6.6

I'm trying to install emacs and graphviz on my CentosBox. Its failing to resolve librsvg2: $ sudo yum install emacs graphviz Loaded plugins: fastestmirror Setting up Install Process Loading mirror ...
-1
votes
1answer
4k views

Error: xz compression not available

I'm at a loss trying to fix this issue and was hoping someone could help. I'm running redhat enterprise v6.6 64bit and am tyring to install 32bit Skype. In the process of trying to fix the ...
0
votes
2answers
392 views

YUM failing install; not recognizing JDK

I am attempting to install some packages using YUM. The command I am using is: sudo yum repo-pkgs [my repo] install This produces the following result: Error: Package: [package name] ([my repo]) ...
1
vote
2answers
723 views

How to remove an rpm package while keeping certain files

Had an issue where 64-bit and 32-bit httpd packages were installed. When one of the packages is uninstalled via yum remove, it removes certain shared files like /etc/httpd/conf/httpd.conf. Is there ...
0
votes
1answer
403 views

Failed to create local repo in CentOS

I'm trying to create a loca repo in Centos 6.6, so: I created the file: [local] name=Centos $releasever-$basearch baseurl=file://var/pub/rpms gpgcheck=0 enabled=1 Then: mkdir /var/pub/rpms cp -r /...
0
votes
4answers
419 views

Is “yum -y install” safe?

Can I use yum -y to automatically install a package without fear that something unrelated will happen? E.g. I wonder if on a broken system some other package may be removed or updated due to ...
1
vote
1answer
218 views

“Running transaction (shutdown inhibited)” how much “inhibited” is shutdown?

When installing some packages with yum I see the text: Running transaction (shutdown inhibited) What does it exactly mean? Would it prevent me from shutting down the system if I typed shutdown -...